Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class State

    java.lang.Object
      de.grogra.graph.GraphState
          de.grogra.graph.impl.State

All Implemented Interfaces:
  GraphTransaction.Consumer, Transaction.Consumer, XAListener

    public final class State

extends GraphState
implements Transaction.Consumer, GraphTransaction.Consumer, XAListener

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.GraphState
`GraphState.ObjectContext`

Nested classes/interfaces inherited from interface de.grogra.persistence.Transaction.Consumer
`Transaction.Consumer.Adapter, Transaction.Consumer.Multicaster`

Nested classes/interfaces inherited from interface de.grogra.graph.impl.GraphTransaction.Consumer
`GraphTransaction.Consumer.Adapter, GraphTransaction.Consumer.Multicaster`

Nested classes/interfaces inherited from interface de.grogra.persistence.XAListener
`XAListener.WeakDelegate`

Method Summary
`void` | `addEdgeBits(Node source, Node target, int mask)`
`void` | `begin()`
`boolean` | `containsInTree(java.lang.Object object, boolean asNode)` Tests whether an object is contained in the tree of the graph.
`GraphState` | `createDelegate(ThreadContext tc)`
`void` | `end()`
`void` | `fireAttributeChanged(java.lang.Object object, boolean asNode, Attribute a, FieldChain field, int[] indices)`
`protected void` | `fireEdgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edge)`
`Transaction` | `getActiveTransaction()`
`void` | `insertComponent(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `makePersistent(long id, ManageableType type)`
`void` | `makeTransient(PersistenceCapable o, ManageableType type)`
`void` | `readData(PersistenceCapable o, Transaction.Reader reader)`
`void` | `removeComponent(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `removeEdgeBits(Node source, Node target, int mask)`
`void` | `setEdgeBits(java.lang.Object edge, int bits)`
`void` | `setField(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `transactionApplied(Transaction.Data xa, boolean rollback)`

Methods inherited from class de.grogra.graph.GraphState
`allocatePropertyId, beginInstancing, checkBoolean, checkByte, checkChar, checkDouble, checkFloat, checkInt, checkLong, checkObject, checkShort, createObjectState, current, deinstantiate, dispose, endInstancing, finalize, forContext, get, getBoolean, getBooleanDefault, getByte, getByteDefault, getChar, getCharDefault, getContext, getDouble, getDoubleDefault, getFloat, getFloatDefault, getGraph, getInstancingPath, getInstancingPathIndex, getInt, getIntDefault, getLong, getLongDefault, getObject, getObject, getObjectContext, getObjectDefault, getShort, getShortDefault, getUserProperty, initialize, instantiate, instantiateEdge, moveToInstance, moveToNextInstance, moveToPreviousInstance, setInstanceAttribute, setObjectContext, setObjectContext, setUserProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addEdgeBits

    public void addEdgeBits(Node source,
                            Node target,
                            int mask)

  Specified by:
    `addEdgeBits` in interface `GraphTransaction.Consumer`

### begin

    public void begin()

  Specified by:
    `begin` in interface `Transaction.Consumer`

### containsInTree

    public boolean containsInTree(java.lang.Object object,
                                  boolean asNode)

  Description copied from class: `GraphState`
  Tests whether an object is contained in the tree of the graph. The tree is defined by `Graph.getTreePattern()`.

  Specified by:
    `containsInTree` in class `GraphState`
  Parameters:
    `object` - the object
    `asNode` - `true` if `object` is a node, `false` if `object` is an edge
  Returns:
    `true` iff the object is part of the tree

### createDelegate

    public GraphState createDelegate(ThreadContext tc)

  Specified by:
    `createDelegate` in class `GraphState`

### end

    public void end()

  Specified by:
    `end` in interface `Transaction.Consumer`

### fireAttributeChanged

    public void fireAttributeChanged(java.lang.Object object,
                                     boolean asNode,
                                     Attribute a,
                                     FieldChain field,
                                     int[] indices)

  Specified by:
    `fireAttributeChanged` in class `GraphState`

### fireEdgeChanged

    protected void fireEdgeChanged(java.lang.Object source,
                                   java.lang.Object target,
                                   java.lang.Object edge)

  Specified by:
    `fireEdgeChanged` in class `GraphState`

### getActiveTransaction

    public Transaction getActiveTransaction()

### insertComponent

    public void insertComponent(PersistenceCapable o,
                                PersistenceField field,
                                int[] indices,
                                Transaction.Reader reader)

  Specified by:
    `insertComponent` in interface `Transaction.Consumer`

### makePersistent

    public void makePersistent(long id,
                               ManageableType type)

  Specified by:
    `makePersistent` in interface `Transaction.Consumer`

### makeTransient

    public void makeTransient(PersistenceCapable o,
                              ManageableType type)

  Specified by:
    `makeTransient` in interface `Transaction.Consumer`

### readData

    public void readData(PersistenceCapable o,
                         Transaction.Reader reader)

  Specified by:
    `readData` in interface `Transaction.Consumer`

### removeComponent

    public void removeComponent(PersistenceCapable o,
                                PersistenceField field,
                                int[] indices,
                                Transaction.Reader reader)

  Specified by:
    `removeComponent` in interface `Transaction.Consumer`

### removeEdgeBits

    public void removeEdgeBits(Node source,
                               Node target,
                               int mask)

  Specified by:
    `removeEdgeBits` in interface `GraphTransaction.Consumer`

### setEdgeBits

    public void setEdgeBits(java.lang.Object edge,
                            int bits)

  Specified by:
    `setEdgeBits` in class `GraphState`

### setField

    public void setField(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         Transaction.Reader reader)

  Specified by:
    `setField` in interface `Transaction.Consumer`

### transactionApplied

    public void transactionApplied(Transaction.Data xa,
                                   boolean rollback)

  Specified by:
    `transactionApplied` in interface `XAListener`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD